<div class='overview-container'>
    <div class='header'>
        <h3 style='text-align: center;margin-top:0'>Site Overview</h3>
        <dx-form [formData]='filterData' [colCount]='3' labelLocation='top'>

            <dxi-item itemType='group' [colCount]='5' [colSpan]='3'>
                <dxi-item [label]='{text: "Transporter"}' dataField='transporterName' editorType='dxSelectBox'
                    [editorOptions]='{ dataSource: dsTransporter, valueExrp: "name", displayExpr: "name", showClearButton: true, searchEnabled: true }'>
                </dxi-item>
                <dxi-item [label]='{text: "Depot"}' dataField='depotName' editorType='dxSelectBox'
                    [editorOptions]='{ dataSource: dsDepot, valueExrp: "name", displayExpr: "name", showClearButton: true, searchEnabled: true }'>
                </dxi-item>
                <dxi-item [label]='{text: "Site"}' dataField='siteName' editorType='dxSelectBox'
                    [editorOptions]='{ dataSource: dsSite, valueExrp: "name", displayExpr: "name", showClearButton: true, searchEnabled: true }'>
                </dxi-item>
                <dxi-item [label]='{text: "Product"}' dataField='productName' editorType='dxSelectBox'
                    [editorOptions]='{ dataSource: dsProduct, valueExrp: "name", displayExpr: "name", showClearButton: true, searchEnabled: true }'>
                </dxi-item>
                <dxi-item [label]='{text: "Tanks"}' dataField='tankName' editorType='dxSelectBox'
                    [editorOptions]='{ dataSource: dsTanks, valueExrp: "registrationNo", displayExpr: "registrationNo", showClearButton: true, searchEnabled: true }'>
                </dxi-item>
            </dxi-item>

            <dxi-item itemType='group' [colCount]='3' [colSpan]='3' [label]='{text: "Range Data"}'>
                <dxi-item [label]='{visible: false}' dataField='fromDate' editorType='dxDateBox'
                    [editorOptions]='{ displayFormat: "dd.MM.yyyy", width: "100%", placeholder: "From date", showClearButton: true, onValueChanged: localFilterSave }'>
                </dxi-item>
                <dxi-item [label]='{visible: false}' dataField='thruDate' editorType='dxDateBox'
                    [editorOptions]='{ displayFormat: "dd.MM.yyyy", width: "100%", placeholder: "Thru date", showClearButton: true, onValueChanged: localFilterSave }'>
                </dxi-item>
                <dxi-item [label]="{visible: false}" itemType="button"
                    [buttonOptions]="{ text: 'Filtreaza', onClick: onFilterChanged }"></dxi-item>
            </dxi-item>
        </dx-form>
    </div>
    <dx-scroll-view height='calc(100vh - 311px)' class='dx-card'>
        <div class='container-body'>
            <div class='charts '>
                <div class='delivered'>
                    <div class='text-abs'>Stocks (LTR) 842000</div>
                    <dx-chart [palette]="['#fff']" [dataSource]="dsStocks">
                        <dxo-legend [visible]="false"></dxo-legend>
                        <dxi-series type="bar"></dxi-series>
                        <dxo-size height='100' width='100%'></dxo-size>
                        <dxo-common-axis-settings>
                            <dxo-grid [visible]='false'> </dxo-grid>
                            <dxo-label [visible]='false'></dxo-label>
                        </dxo-common-axis-settings>
                        <dxo-tooltip enabled='true' [customizeTooltip]="stocksTooltip"></dxo-tooltip>
                    </dx-chart>
                </div>
                <div class='unitCost'>
                    <div class='text-abs'>Average sales 693.611</div>
                    <dx-chart [palette]="['#fff']" [dataSource]="">
                        <dxo-size height='100' width='100%'></dxo-size>
                        <dxi-series type="line"></dxi-series>
                        <dxo-legend [visible]="false"></dxo-legend>
                        <dxo-common-axis-settings type="line">
                            <dxo-grid [visible]='false'> </dxo-grid>
                            <dxo-label [visible]='false'></dxo-label>
                        </dxo-common-axis-settings>
                    </dx-chart>
                </div>
                <div class='reschedule'>
                    <div class='text-abs'>To be delivered (LTR) 285.000</div>
                    <dx-chart [palette]="['#fff']" [dataSource]="">
                        <dxo-size height='100' width='100%'></dxo-size>
                        <dxi-series type="line"></dxi-series>
                        <dxo-legend [visible]="false"></dxo-legend>
                        <dxo-common-axis-settings type="line">
                            <dxo-grid [visible]='false'> </dxo-grid>
                            <dxo-label [visible]='false'></dxo-label>
                        </dxo-common-axis-settings>
                    </dx-chart>
                </div>
                <div class='stockday'>
                    <div class='text-abs'>AVG. Stock Days 67.54</div>
                    <dx-chart [palette]="['#fff']" [dataSource]="">
                        <dxo-size height='100' width='100%'></dxo-size>
                        <dxi-series type="line"></dxi-series>
                        <dxo-legend [visible]="false"></dxo-legend>
                        <dxo-common-axis-settings type="line">
                            <dxo-grid [visible]='false'> </dxo-grid>
                            <dxo-label [visible]='false'></dxo-label>
                        </dxo-common-axis-settings>
                    </dx-chart>
                </div>
            </div>
        </div>
        <hr>
        <div class='container-body' style='display:flex'>
            <dx-data-grid [dataSource]="gridDs" [showColumnLines]='false' [showRowLines]='true' width='40%' height='185'>
                <dxi-column width='60' caption='Stock Days' dataField="stockDays"></dxi-column>
                <dxi-column width='140' caption='Site' dataField="s_name"></dxi-column>
                <dxi-column cellTemplate='progress' dataField='st_variation'>
                    <div *dxTemplate="let data of 'progress'"
                        style='height: 20px; background-color: rgb(237, 241, 242)'>
                        <div [style.background-color]='data.data.color' [style.width.px]='data.data.progress'
                            [style.height.px]='20'></div>
                    </div>
                </dxi-column>
            </dx-data-grid>
            <dx-data-grid [dataSource]='dsGridData' width='60%' height='185'>
                <dxi-column caption='Site' dataField='s_name' dataType='string' width='140'></dxi-column>
                <dxi-column caption='Transporter' dataField='tr_name' dataType='string'></dxi-column>
                <dxi-column caption='Orpak stock' dataField='st_quantity' dataType='number' width='70'></dxi-column>
                <dxi-column caption='Orpak sales' dataField='st_variation' dataType='number' width='70'></dxi-column>
                <dxi-column caption='AVG Sales' dataField='stock_daily' dataType='number' width='70'></dxi-column>
                <dxi-column caption='Stock Days' dataField='stockDays' dataType='number' width='70'></dxi-column>
                <dxi-column caption='To Be Delivered' dataField='delivery' dataType='number' width='70'></dxi-column>
            </dx-data-grid>
        </div>
        <hr>
        <div class='container-body'>
            <dx-chart [palette]="['#499FC7']" [dataSource]="dsCarDelivery"
                [valueAxis]='[{ constantLines: [{value: 0, color: "#1ba0bd", dashStyle: "solid", width: 2}]}]'>
                <dxi-series valueField="stockDays" name="stockDate"></dxi-series>
                <dxo-common-series-settings #seriesSettings argumentField="stockDate" type="line">
                </dxo-common-series-settings>
                <dxo-margin [bottom]="20"></dxo-margin>
                <dxo-size height='270'></dxo-size>
                <dxo-argument-axis [valueMarginsEnabled]="false" discreteAxisDivisionMode="crossLabels">
                    <dxo-grid [visible]="true"></dxo-grid>
                </dxo-argument-axis>
                <dxo-title text=""></dxo-title>
                <dxo-legend [visible]='false'></dxo-legend>
                <dxo-export [enabled]="false"></dxo-export>
                <dxo-tooltip [enabled]="true"></dxo-tooltip>
            </dx-chart>
        </div>
    </dx-scroll-view>
</div>